mutter (3.16.2-1) UNRELEASED; urgency=medium

  [ Sjoerd Simons ]
  * New upstream release 3.16.1.
  * debian/rules: Explicitely build wayland and the native backend on linux
  * debian/control.in: Bump b-d
  * debian/rules: Stop shipping doc/theme-format.txt, Metacity format support
    has been dropped
  * bump library name to libmutter0f

  [ Emilio Pozuelo Monfort ]
  * New upstream release 3.16.2.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 06 May 2015 17:25:44 +0200

mutter (3.14.4-2) unstable; urgency=medium

  * Switch Build-Depends from the transitional libsystemd-login-dev to
    libsystemd-dev. (Closes: #779761)

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Apr 2015 20:10:38 +0200

mutter (3.14.4-1) unstable; urgency=medium

  * New upstream translation and bugfix release.
    + Includes new function required for the workaround to #768896 which 
      is very annoying for users of the proprietary nvidia driver.
  * 10_window-actor_unredirect.patch, 11_black_background.patch: 
    dropped, merged upstream.
  * Bump shlibs due to new function.

 -- Josselin Mouette <joss@debian.org>  Thu, 26 Mar 2015 21:06:28 +0100

mutter (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * 10_window-actor_unredirect.patch: patch from upstream git. Fix crash 
    when closing a window.
  * 11_black_background.patch: patch from upstream git. Don’t set a 
    black background when switching from the display manager.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 15:05:14 +0100

mutter (3.14.1-2) unstable; urgency=medium

  * gir1.2-mutter-3.0: tighten dependency on libmutter0e by making
    it versioned to = ${binary:Version} (Closes: #766359)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Oct 2014 19:57:02 +0100

mutter (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Conflicts/Replaces: gir1.2-mutter-2.91.
  * Update Build-Depends as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Oct 2014 00:40:24 +0200

mutter (3.14.0-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make gir1.2-mutter-3.0 break gnome-shell versions older than 3.13.92.
    Upstream commit a4a688ed83983fb5 removed MetaBackgroundEffects class,
    which old gnome-shell (up to 3.13.91) was using via JavaScript code.

  [ Andreas Henriksson ]
  * Make the libinput-dev build-dependency linux-only.
    Thanks to Julien Cristau for pointing it out.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:02:55 +0200

mutter (3.13.92-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 20:43:41 +0200

mutter (3.13.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release.
  * Update build-dependencies according to configure.ac changes:
    - bump intltool to (>= 0.41)
    - bump libclutter-1.0-dev to (>= 1.19.5)
    - add libinput-dev
    - bump libsystemd-login-dev to (>= 212)
    - add libxcb-randr0-dev, libxkbcommon-x11-dev, libxkbfile-dev and
      xkb-data
  * Drop patches backported from upstream:
    - 0001-constraints-Complete-fix-for-size-hints-constrainmen.patch
    - 0001-constraints-Size-increments-need-to-be-applied-to-th.patch
    - 0001-keybindings-Make-sure-not-to-call-meta_change_keygra.patch
  * Bump gobject-introspection build-dependency to (>= 1.41.3)
    - this one supports new "nullable" annotation.
  * libmutter-dev: bump dependency on libclutter-1.0-dev to (>= 1.19.5)
  * libmutter-dev: stop installing usr/lib/lib*.a, no need for static
    and they aren't built anymore.
  * Stop excluding mutter-launch from fixperms
    - not needed anymore, mutter-launch is now gone (see logind).
  * Bump libwayland-dev to >= 1.5.90 as required for wayland support.

  [ Rico Tzschichholz ]
  * Update library name to libmutter0e since the API/ABI is not compatible
    with 3.12.x releases

  [ Sjoerd Simons ]
  * New upstream release 3.13.91.
  * Update libxkbcommon-x11-dev versioned depend

  [ Andreas Henriksson ]
  * mutter.install: ship usr/lib/mutter/mutter-restart-helper

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 14:15:05 -0700

mutter (3.13.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Pass --as-needed to dh_autoreconf

  [ Andreas Henriksson ]
  * New upstream development release.
  * Drop debian/patches/prevent-double-lock-deadlock.patch
    - obsoleted by upstream commit 5c99eae8a9ca04f5e
      "display: clean up event handling"
  * Update build-dependencies according to configure.ac changes:
    - add libsystemd-login-dev (>= 207), libpam0g-dev
    - drop libxrender-dev
  * debian/mutter.install: drop usr/share/gnome
    - see upstream commit 542a0886cf14cec3995ada2
      "Remove files no one cares about anymore"
  * Add patches stolen from fedora originally backported from upstream git:
    - 0001-constraints-Complete-fix-for-size-hints-constrainmen.patch
    - 0001-constraints-Size-increments-need-to-be-applied-to-th.patch
    - 0001-keybindings-Make-sure-not-to-call-meta_change_keygra.patch
  * Bump gsettings-desktop-schemas (build-)dependencies to 3.13.1
    - need switch-to-workspace-last schema key
  * Exclude mutter-launch from having permissions "fixed"
    - mutter-launch needs to be suid

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 17:55:13 +0200

mutter (3.12.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:20:08 +0200

mutter (3.12.2-1) experimental; urgency=medium

  [ Sjoerd Simons ]
  * debian/rules: Don't constrain the libmutter0 dependencies via shlibs
    as we change the library names on ABI breaks now

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 17:36:21 +0200

mutter (3.12.1+therealdeal-1) experimental; urgency=medium

  * Tweak version to be bigger then the one in unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 19:38:07 +0200

mutter (3.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 17:47:46 +0200

mutter (3.12.0-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Update library name to libmutter0d since the API/ABI is not compatible
    with 3.10.x releases

  [ Emilio Pozuelo Monfort ]
  * Let libmutter0d conflict with libmutter0c.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Apr 2014 10:30:00 +0200

mutter (3.12.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/prevent-double-lock-deadlock.patch:
    + Added. Don't call X functions that lock the display in code paths that
      have already locked the display if X threads have been initialized
      (bgo#704101)

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump upower 0.99.0
    - bump cogl 1.17.1
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Mar 2014 22:09:55 +0100

mutter (3.10.1-2) experimental; urgency=low

  * Force build against G3.10 version of gnome-desktop

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 11:19:44 +0100

mutter (3.10.1-1) experimental; urgency=low

  * New upstream release
  * Sync with Ubuntu (3.10.0-0ubuntu1~saucy1)
    + Update library name to libmutter0c
    + Bump build-depends

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 22:34:51 +0100

mutter (3.8.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 17:26:39 +0200

mutter (3.8.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Use standard Breaks/Replaces instead of Conflicts against older mutter
      libraries

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Standards-Version is 3.9.4, no changes needed.
  * New upstream release.

  [ Michael Biebl ]
  * debian/watch: Track stable releases.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Oct 2013 19:37:56 +0200

mutter (3.8.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + Bump clutter requirement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jun 2013 18:09:14 +0200

mutter (3.8.2-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 24 May 2013 17:26:06 +0200

mutter (3.8.1-1) experimental; urgency=low

  * New upstream release
  * debian/patches/02-dont-select-for-XI2-events.patch:
    + Dropped, fixed X server is available in sid now

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 19 Apr 2013 18:57:59 +0200

mutter (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Mar 2013 00:15:13 +0100

mutter (3.7.92-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release (3.7.90)
  * Sync from  Ubuntu
    + d/p/04_ignore_shadow_and_padding.patch:
      * Dropped, Ubuntu specific
  * debian/control.in: Bump b-d on glib
  * debian/control.in: Rename libmutter0a to libmutter0b for more ABI fun
  * d/p/10_Always-send-_NET_WM_FRAME_DRAWN-for-newly-created-wi.patch:
    + Added. Fix a race causing _NET_WM_FRAME_DRAWN to not be sent in context
    menus. (From upstream git, BGO#694771)

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Add gtk-doc-tools to build-depends.
    + debian/libmutter-dev.install:
      - Ship the API reference.
    + d/p/10_Always-send-_NET_WM_FRAME_DRAWN-for-newly-created-wi.patch:
      - Removed, included upstream.
    + debian/patches/02-dont-select-for-XI2-events.patch:
      - New patch, revert an upstream change to receive XI2 events
        until #696272 is fixed. Thanks to Sjoerd Simons and
        Frédéric Péters for the info and the patch.
    + debian/copyright:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Mar 2013 18:12:12 +0100

mutter (3.7.5-0ubuntu1~raring1) raring; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Bump minimum clutter & gsettings-desktop-schemas

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Build-depend on libxi-dev
  * debian/patches/01_Wcast-align.patch: Refreshed
  * debian/patches/05_ignore_num_workspaces.patch:
    - Dropped, applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2013 20:58:05 -0500

mutter (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1078155)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Nov 2012 22:09:47 -0500

mutter (3.6.1-1ubuntu2) raring; urgency=low

  * Added 05_ignore_num_workspaces.patch (LP: #1067933)

 -- Brandon Snider <brandonjsnider@gmail.com>  Wed, 17 Oct 2012 20:23:11 -0400

mutter (3.6.1-1ubuntu1) raring; urgency=low

  * Sync with Debian. Remaining change:
    - 04_ignore_shadow_and_padding.patch: Silently ignore
      padding and shadow tags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Nov 2012 08:37:27 -0500

mutter (3.6.1-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 17 Oct 2012 19:58:10 +0200

mutter (3.6.0-1) experimental; urgency=low

  * New upstream release
  * Sync with Ubuntu:
    - Drop unnecessary gnome-doc-utils install
  * d/p/00_meta_window_move_frame-fix-crash-when-frame-is-NULL.patch:
    Dropped: fixed upstream
  * debian/control.in: Rename libmutter0 to libmutter0a as the libmutter ABI
    broke

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Oct 2012 19:24:21 +0200

mutter (3.4.1-7) unstable; urgency=low

  * d/p/0001-meta-texture-rectangle-Use-Cogl-s-API-to-create-a-re.patch:
    + Patch from upstream git, don't use GL types as cogl doesn't expose
      GL headers in newer releases. This will ease the cogl transition.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 26 May 2013 17:54:55 +0200

mutter (3.4.1-6) unstable; urgency=low

  * Team upload
  * Add debian/patches/02_switch_to_gtk-doc_syntax.patch:
    - from upstream, fixes FTBFS with new gobject-introspection.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 13 May 2013 11:03:34 +0200

mutter (3.4.1-5) unstable; urgency=low

  [ Rico Tzschichholz ]
  * debian/patches: Add upstream patch
    00_meta_window_move_frame-fix-crash-when-frame-is-NULL.patch 

  [ Michael Biebl ]
  * Install missing keybindings file 50-mutter-windows.xml which is required
    to configure mutter specific keyboard shortcuts in gnome-control-center.
    Closes: #680004
  * Use list-missing to list files missing from the package.

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Jul 2012 20:03:06 +0200

mutter (3.4.1-4) unstable; urgency=low

  * Clean up /etc/sgml/mutter-common.cat and /etc/sgml/mutter-common.cat.old
    on upgrades. Closes: #675309

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jun 2012 12:49:07 +0200

mutter (3.4.1-3) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.

  [ Rico Tzschichholz ]
  * libmutter-dev: add dependency on gsettings-desktop-schemas-dev and
    libx11-dev as pc-file requests

  [ Michael Biebl ]
  * Bump Suggests: gnome-control-center to (>= 1:3.4.0) as we want a recent
    enough version which can handle keybindings based on GSettings.
  * Use strict dependency between mutter/libmutter0 and mutter-common to
    ensure we have the correct version of mutter-common providing the
    org.gnome.mutter gsettings schema.
  * Add Depends on gnome-themes-standard to mutter. Adwaita is the preferred
    window manager theme and without a theme installed mutter refuses to
    start. Closes: #658823

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 12:25:26 +0200

mutter (3.4.1-2) experimental; urgency=low

  * Drop debian/mutter-common.catalog and debian/mutter-common.sgmlcatalogs.
    This is another leftover from the metacity package, mutter doesn't ship
    any DTD.
  * Replace another occurence of libgnome2-common with
    gsettings-desktop-schemas.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 May 2012 19:11:48 +0200

mutter (3.4.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Bump minimum GTK, cogl, clutter & gsettings-desktop-schemas
    - Add mutter-dbg package
  * debian/mutter-common.install:
    - Install gsettings schemas
  * debian/rules: Enable compile warnings

  [ Jeremy Bicha ]
  * debian/control.in:
    - Drop gconf dependency

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.
  * Drop Suggests: gnome-themes. This is a remnant of the old metacity
    package this work is based on.
  * Refresh debian/patches/01_Wcast-align.patch.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 May 2012 21:48:47 +0200

mutter (3.2.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 May 2012 00:10:17 +0200

mutter (3.2.2-2) experimental; urgency=low

  * d/p/02_Fix-cogl-crash-from-updating-non-existent-texture.patch:
    + Added. In 1.8 cogl would prevent attempts to update textures with
    an invalid handle from crashing buggy programs. Cogl 1.10 no longer does
    so. This patch prevents mutter from updating invalid textures
  * d/p/03_fix_compilation_with_new_cogl.patch
    + Added. Adapt to changes made in the experimental patch of the cogl API

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Apr 2012 16:32:27 +0200

mutter (3.2.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-mutter-3.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2012 07:49:20 +0100

mutter (3.2.1-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch:
    - Fix URL regex to correctly detect latest tarballs
    - Switch to .xz tarballs

  [ Michael Biebl ]
  * Upload to unstable.
  * Refresh debian/patches/01_Wcast-align.patch.
  * debian/control.in:
    - Add explicit Build-Depends on libcairo2-dev.
    - Bump Build-Depends on libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 01:21:32 +0100

mutter (3.2.1-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream version
  * debian/control.in
    - Updated clutter dependency
  * debian/libmutter0.symbols
    - Updated

  [ Josselin Mouette ]
  * Tighten shlibs to the major GNOME version, libcamel-style.
  * libmutter0.symbols: dropped, upstream ABI stability guarantees are
    not sufficient.

  [ Sjoerd Simons ]
  * New upstream release (3.2.1)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2011 20:19:30 +0200

mutter (3.0.2.1-4) unstable; urgency=high

  * Team upload. Urgency high as that problem already affects testing
    users.
  * debian/patches:
    - Add 00git-dont-lose-application-redraws.patch to fix rendering
      issues with parts of the screen not showing the latest content.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 17 Oct 2011 08:37:50 +0200

mutter (3.0.2.1-3) unstable; urgency=low

  [ Rico Tzschichholz ]
  * debian/patches:
    - Add 00git-meta-window-group-Use-clutter_stage_get_redraw_clip_.patch,
      00git-Use-a-utility-function-to-create-GL_ARB_texture_rect.patch
      to remove direct GL usages to let it build with EGL/GLES2 on arm
  * debian/control:
    - Bump build-dep on clutter-1.0-dev (>= 1.7.5)
  * debian/libmutter0.symbols:
    - updated (leave with debian revision since it is added by a patch)

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 19:01:24 +0200

mutter (3.0.2.1-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * Drop debian/mutter.lintian-overrides: Missing manpages are now installed

  [ Michael Biebl ]
  * debian/control.in:
    - Drop Build-Depends on gir1.2-gtk-3.0, gir1.2-clutter-1.0 and
      gir1.2-json-glib-1.0 and let their corresponding -dev package pull it in
      automatically. Bump the Build-Depends on the -dev packages accordingly.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Let cdbs call dh_girepository.
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
    - Set DEB_DH_GIREPOSITORY_ARGS_ALL to /usr/lib/mutter.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Jul 2011 22:45:20 +0200

mutter (3.0.2.1-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/watch:
    - Look for bzip2 tarballs

  [ Josselin Mouette ]
  * Depend on libgnome2-common for the GConf schemas. This will be 
    necessary until mutter is ported to GSettings.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Jun 2011 14:39:59 +0200

mutter (3.0.1-1) experimental; urgency=low

  * New upstream release (3.0.0).
  * debian/control.in:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Drop versionized dpkg-dev build-dependency

 -- Laurent Bigonville <bigon@debian.org>  Fri, 06 May 2011 23:47:25 +0200

mutter (3.0.0-2) experimental; urgency=low

  * Rename gir1.2-mutter-2.91 package to gir1.2-mutter-3.0

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Apr 2011 11:19:27 +0200

mutter (3.0.0-1) experimental; urgency=low

  * Team upload.

  [ Frederic Peters ]
  * New upstream release (2.91.93).
  * debian/libmutter0.symbols: new symbol.

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Raphaël Hertzog ]
  * New upstream release (3.0.0).

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 19:38:04 +0000

mutter (2.91.92-1) experimental; urgency=low

  * New upstream release

  [ Rico Tzschichholz ]
  * debian/patches:
    + drop 02_arm_include_clutter_x11.patch, is upstream
    + drop 10_mutter-ldflags.patch, is upstream
  * debian/control.in,debian/rules:
    + add libmutter0 which replaces libmutter-wm0 and libmutter-private0

  [ Frederic Peters ]
  * debian/control.in: mention gnome-shell in libmutter0 package description.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 19:56:48 +0100

mutter (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [Laurent Bigonville]
  * debian/control.in: Add Vcs-Svn and Vcs-Browser fields

  [Frederic Peters]
  * debian/control.in, libmutter-wm0.install, libmutter-wm0.symbols:
    Add a libmutter-wm0 library
  * debian/patches/10_mutter-ldflags.patch: Fix linking of mutter binary
  * debian/patches/20_libmutter_export_symbols.patch: Limit list of symbols
    exported by libmutter-{wm,private} (but don't add it to series as it makes
    gnome-shell segfault)
  * debian/mutter.install, debian/mutter-common.install: move mutter-wm.desktop
    from mutter-common to mutter.
  * debian/control.in: add replaces/breaks in mutter, against previous
    versions of mutter-common, for the move of mutter-wm.desktop.

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Mar 2011 19:09:58 +0100

mutter (2.91.90-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Feb 2011 09:29:08 +0100

mutter (2.91.6-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in:
    - Remove duplicate Section
    - Drop gir1.2-mutter-2.91 Conflicts/Replaces against libmutter-private0
      package
  * debian/watch: Drop call to uupdate
  * debian/mutter.lintian-overrides: Add overrides for manpages shipped
    in mutter-common

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update for the new gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 15:20:42 +0000

mutter (2.29.0-4) unstable; urgency=low

  * Remove gir1.0-mutter-2.29 to ease the gir1.2 transition, since
    nothing uses it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 20:34:44 +0000

mutter (2.91.5-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Remove unneeded libgtk2.0-dev build dependency.
    + debian/patches/02_gdk_removed_macro.patch,
      debian/patches/03_handle_new_gtk_states.patch,
      debian/patches/04_fix_gradient_example.patch:
      - Removed, included upstream.
  * debian/libmutter-private0.symbols:
    + Add a symbols file.
  * debian/rules:
    + Make the shlibs always depend on the latest upstream version.
      We have symbols file anyway, and manually bumping the shver is
      error prone.

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 3.9.1

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:06:20 +0000

mutter (2.91.3-3) experimental; urgency=low

  * debian/patches/02_gdk_removed_macro.patch,
  * debian/patches/03_handle_new_gtk_states.patch,
  * debian/patches/04_fix_gradient_example.patch:
    - Patches from upstream git, fix the build with latest GTK+ 3.
  * debian/control.in:
    - Bump the libgtk3.0-dev build dependency accordingly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Dec 2010 23:39:24 +0000

mutter (2.91.3-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-mutter-2.91 to gir1.2-mutter-2.91.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/control.in:
    - Fix typo, s/shlib/shlibs/.
  * debian/rules:
    - Remove hack to get translations in /usr/share, no longer needed.
    - Pass the path to the typelibs to dh_girepository to get correct
      dependencies.
  * debian/rules,
    debian/control.in:
    - Use dh-autoreconf.
  * debian/patches/90_autotools.patch,
    debian/patches/99_ltmain_as-needed.patch:
    - Removed, no longer needed with dh-autoreconf.
  * debian/rules,
    debian/copyright:
    - Fix some metacity leftovers.
  * debian/mutter.1,
    debian/mutter-message.1,
    debian/mutter-theme-viewer.1,
    debian/mutter-window-demo.1,
    debian/mutter-common.manpages:
    - Removed, shipped upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Dec 2010 00:52:38 +0100

mutter (2.91.3-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New development release
  * debian/control:
  - update build-dependencies on GObject-Introspection packages
  - build-depend on GTK+3

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Rename gir1.0-mutter-2.31 to gir1.0-mutter-2.91.
  * debian/control.in:
    - Build depend on libjson-glib-dev and gir1.0-json-glib-1.0.
  * debian/rules,
    debian/control.in,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/rules:
    - Bump the shlib version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 06 Dec 2010 00:59:42 +0100

mutter (2.31.5-1) experimental; urgency=low

  * New upstream release
  - refreshed patches
  - added a hack to rules to work-around the build trying to install
    locale files to /usr/lib/locale
  - bumped shlib minimum version to 2.31.5 (see #586124)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 13 Jul 2010 11:36:29 -0300

mutter (2.31.2-3) experimental; urgency=low

  * debian/gir1.0-mutter-2.{29->31}.install:
  - actually install the typelib file

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 31 May 2010 11:37:33 -0300

mutter (2.31.2-2) experimental; urgency=low

  * debian/control:
  - fix GIR package name to account for GIR API name change

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 May 2010 15:15:34 -0300

mutter (2.31.2-1) experimental; urgency=low

  * New development release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 May 2010 10:51:58 -0300

mutter (2.29.1-1) experimental; urgency=low

  * New development release.
  * debian/control:
  - build-dep on clutter >= 1.2

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 08 Apr 2010 20:48:38 -0300

mutter (2.29.0-2) unstable; urgency=low

  * debian/control:
  - fix gir package name, because the typelib has changed its name

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Mar 2010 17:27:59 -0300

mutter (2.29.0-1) unstable; urgency=low

  * New upstream development release.
  * debian/rules:
  - update makeshlibs argument to require >= 2.29.0

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 02 Mar 2010 19:19:44 -0300

mutter (2.28.1~git20100129-1) unstable; urgency=low

  * Upstream snapshot

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Jan 2010 12:04:09 -0200

mutter (2.28.1~git20091208-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 24 Oct 2009 13:16:53 -0200

mutter (2.28.1~git20091024-1) unstable; urgency=low

  * Upstream snapshot
  * debian/control.in:
  - fixed typo in description
  - bump Standards-Version to 3.8.3

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 24 Oct 2009 12:59:03 -0200

mutter (2.28.0-2) unstable; urgency=low

  * debian/control.in:
  - adapt for the new GObject introspection policy

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 19 Oct 2009 15:59:57 -0200

mutter (2.28.0-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 09 Oct 2009 13:23:25 -0300

mutter (2.27.5-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 30 Sep 2009 21:19:05 +0100

mutter (2.27.3-2) unstable; urgency=low

  [ Simon Raven <simon.raven@gmail.com> ]
  * debian/control.in:
  - adding missing build-dep to fix FTBFS (Closes: #544342)

  [ Gustavo Noronha Silva ]
  * debian/control.in:
  - also add gobject-introspection, gobject-introspection-glib-2.0,
    gobject-introspection-freedesktop, which were also missing, to
    build-depends

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 30 Aug 2009 19:02:46 -0300

mutter (2.27.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Update list of copyright holders.

  [ Gustavo Noronha Silva ]
  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 29 Aug 2009 21:53:05 -0300

mutter (2.27.2-1) unstable; urgency=low

  * First mutter release for Debian
  - no ITP since this is in practice a branch of metacity
  * debian/control.in:
  - adapted descriptions
  - added build-deps on gobject-introspection, and clutter >= 1.0
  - renamed packages
  * debian/patches/10_ignore_callbacks.patch:
  - removed; applied upstream
  * debian/mutter-common.install:
  - this package no longer provides themes and gnome-control-center
    keybindings capplet; this will come in a separate module in the
    future, it seems, and we may want to make sure it is installed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 26 Jul 2009 13:33:08 +0200

metacity (1:2.26.0-3) unstable; urgency=high

  * 10_ignore_callbacks.patch: stolen upstream. Fix a bug leading to 
    some callbacks being ignored. Closes: #533917.

 -- Josselin Mouette <joss@debian.org>  Wed, 24 Jun 2009 12:04:26 +0200

metacity (1:2.26.0-2) unstable; urgency=low

  * Use patchsys-quilt; build-depend on quilt.
  * 01_Wcast-align.patch: don’t use -Wcast-align, it gives incorrect 
    warnings (errors thanks to -Werror) when some pointers are converted 
    back and forth to XPointers. Closes: #532655.
  * 90_autotools.patch: relibtoolize the whole package.

 -- Josselin Mouette <joss@debian.org>  Wed, 10 Jun 2009 21:52:35 +0200

metacity (1:2.26.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix typo in changelog entry.

  [ Loic Minier ]
  * Let metacity suggest gnome-themes as it attempts to use the Clearlooks
    Metacity theme by default and logs a warning when it can't be used.
  * Let metacity suggest xdg-user-dirs as it fails creating the
    .config/metacity sub-directory and logs a warning if .config isn't created
    by xdg-user-dirs.

  [ Josselin Mouette ]
  * Set the team as primary maintainer. Closes: #523545.
  * Fixup in the descriptions.
  * New upstream release.
  * Update build-dependencies.
  * Bump shlibs for libmetacity-private0.

 -- Josselin Mouette <joss@debian.org>  Tue, 09 Jun 2009 20:36:03 +0200

metacity (1:2.24.0-2) unstable; urgency=low

  * Rename libmetacity0 to libmetacity-private0 because of an 
    unexpected ABI change. Closes: #510096.
  * Remove trailing -1's in build-depends.
  * debian/copyright: write complete list of copyright holders.
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Mon, 16 Feb 2009 18:03:57 +0100

metacity (1:2.24.0-1) experimental; urgency=low

  * New upstream release.
    + Implements one-way maximisation. Closes: #450837.
    + Fixes issues when disabling the compositor. Closes: #476492.
  * Bump shlibs version to 1:2.24.0.
  * Standards version is 3.8.0.
  * 01_doublefree_maximize.patch: dropped, merged upstream.
  * Install the .desktop in the metacity package.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Nov 2008 15:57:58 +0100

metacity (1:2.22.0-2) unstable; urgency=low

  [ Sven Arvidsson ]
  * Add README.Debian, describing how to enable the compositor.
    (Closes: #471442)

  [ Josselin Mouette ]
  * 01_doublefree_maximize.patch: stolen upstream (r3817). Fixes 
    vertical maximisation bug caused by an invalid free.
    Closes: #452139.
  * control.in: make metacity the first package so that it gets the 
    README.Debian.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2008 16:53:19 +0200

metacity (1:2.22.0-1) unstable; urgency=low

  [ Bradley Smith ]
  * New upstream development release.

  [ Sam Morris ]
  * Build-depend on libxcomposite-dev for composite manager.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/rules:
      - Drop check-dist include.
      - Update shlibs to >= 2.22.0 because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 13:54:19 +0100

metacity (1:2.21.5-1) experimental; urgency=low

  [ Riccardo Setti ]
  * New metacity package.
  * build with compositor extension.

  [ Bradley Smith ]
  * Update Standards Version to 3.7.3. (No changes)
  * Add check-dist.

 -- Riccardo Setti <giskard@debian.org>  Thu, 20 Dec 2007 02:29:13 +0100

metacity (1:2.20.1-2) UNRELEASED; urgency=low

  * Let metacity-common replace metacity instead of conflicting to ease
    upgrades.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Nov 2007 19:00:45 +0100

metacity (1:2.20.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend gnome-session | x-session-manager. Closes: #225640.
  * Remove metacity.menu. Closes: #397645.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Nov 2007 13:57:21 +0100

metacity (1:2.20.0-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_session_tolerate_missing_file.patch,
      debian/patches/02_fix_crash_on_session_saving.patch:
      - Dropped, merged upstream.
    + debian/rules:
      - Bump shlibs to >= 2.19.5.
    + debian/metacity-common.install:
      - Ship keybinding stuff.
  * debian/control.in:
    + Drop duplicated libxinerama-dev build dependency.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Sep 2007 10:46:36 +0200

metacity (1:2.18.5-1) unstable; urgency=low

  * New upstream stable release; no API change.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Jun 2007 12:07:17 +0200

metacity (1:2.18.3-2) unstable; urgency=low

  * 99_ltmain_as-needed.patch: make --as-needed work for the library
    too.

 -- Josselin Mouette <joss@debian.org>  Wed, 06 Jun 2007 23:40:52 +0200

metacity (1:2.18.3-1) unstable; urgency=low

  * Drop metacity-common postinst as it was scheduled to be dropped post-etch.
  * Rewrite metacity postinst and prerm to use safer individual if tests
    instead of trying to list all possible args in a case; reported by
    Lior Kaplan; closes: #421206.
  * New upstream stable release; no API change.

 -- Loic Minier <lool@dooz.org>  Mon, 28 May 2007 17:48:18 +0200

metacity (1:2.18.2-3) unstable; urgency=low

  * New patch 02_fix_crash_on_session_saving.patch, taken from Ubuntu.
    Fix a crash that would occur when the current session is saved and would
    corrupt ~/.gnome2/session. Gnome bug #433253

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Apr 2007 15:44:10 +0200

metacity (1:2.18.2-2) unstable; urgency=low

  * Add -z defs to LDFLAGS; cleanups.
  * Upload to unstable; drop check-dist include.
  * Add a ${misc:Depends}.
  * Drop useless --enable-xsync=yes from configure flags.
  * Wrap build-deps and deps.
  * Bump dep on libgtk2.0-dev to >= 2.10.0-1.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Apr 2007 15:12:50 +0200

metacity (1:2.18.2-1) experimental; urgency=low

  * New upstream stable release.

 -- Loic Minier <lool@dooz.org>  Mon, 09 Apr 2007 08:47:47 +0200

metacity (1:2.18.1-1) experimental; urgency=low

  * New upstream stable release; no API change; bug fixes and translations.
  * Drop obsolete README.Debian; misc cleanups.

 -- Loic Minier <lool@dooz.org>  Sun, 08 Apr 2007 09:23:44 +0200

metacity (1:2.18.0-1) experimental; urgency=low

  [ Marco Cabizza ]
  * New upstream release: not enabling compositor, too unstable, and libcm
    seems dead upstream.

  [ Riccardo Setti ]
  * Updated debhelper compatibility to 5

  [ Loic Minier ]
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Fix metacity-common.install to list the correct dirs.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Mar 2007 22:27:08 +0200

metacity (1:2.16.5-1) experimental; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.

  [ Josselin Mouette ]
  * 01_session_tolerate_missing_file.patch: register differently to the
    session, in order to handle gracefully the case where a session file
    is missing on the disk (closes: #315169, #391287).
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun,  4 Mar 2007 10:29:40 +0100

metacity (1:2.16.3-1) experimental; urgency=low

  [ Marco Cabizza ]
  * New upstream release.

  [ Loic Minier ]
  * Merge 1:2.14.5-2.

  [ Josselin Mouette ]
  * Use ${gnome:Version} and ${gnome:NextVersion} to loosen the 
    dependencies.
  * Build-depend on gnome-pkg-tools 0.6.
  * Call gnome-version.mk.
  * Replace the x-dev build-dependency by x11proto-core-dev.

 -- Josselin Mouette <joss@debian.org>  Tue, 21 Nov 2006 20:50:05 +0100

metacity (1:2.16.2-1) experimental; urgency=low

  * New upstream release, with backwards incompatible changes in internal API.

 -- Loic Minier <lool@dooz.org>  Mon, 25 Sep 2006 17:47:56 +0200

metacity (1:2.16.1-1) experimental; urgency=low
  
  [ Loïc Minier ]
  * Remove superfluous dh_installcatalogs call and bump cdbs build-dep to
    >= 0.4.37, thanks Peter Eisentraut. (Closes: #361156)
    [debian/control, debian/control.in, debian/rules]
  * Don't mention non-existing Info documentation in the metacity and
    metacity-message man pages, thanks Piotr Engelking. (Closes: #365450)
    [debian/metacity.1, debian/metacity-message.1]
  * Fix watch file.

  [ Marco Cabizza ]
  * New upstream release, target experimental:
    - Bumping up libgtk2.0-dev build-dep to 2.10
  * Setting myself as the maintainer.
  
 -- Marco Cabizza <marco87@gmail.com>  Wed, 13 Sep 2006 18:46:45 +0200

metacity (1:2.14.5-2) unstable; urgency=low

  * Remove superfluous dh_installcatalogs call and bump cdbs build-dep to
    >= 0.4.37, thanks Peter Eisentraut. (Closes: #361156)
    [debian/control, debian/control.in, debian/rules]
  * Don't mention non-existing Info documentation in the metacity and
    metacity-message man pages, thanks Piotr Engelking. (Closes: #365450)
    [debian/metacity.1, debian/metacity-message.1]
  * Fix watch file.
  * Fix typo in debian/metacity-message.1; thanks Per Bojsen; closes: #397864.

 -- Loic Minier <lool@dooz.org>  Fri, 10 Nov 2006 09:38:49 +0100

metacity (1:2.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Tue, 30 May 2006 15:47:36 +0200

metacity (1:2.14.3-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * New upstream release.
    + Doesn't steal focus (closes: #361273).

  [ Josselin Mouette ]
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${source:Version} and ${binary:Version}.
  * Standards version is 3.7.2.
  * Bump shlibs version to 2.14.

  [ Loic Minier ]
  * Stop shipping /usr/lib/*.la files in libmetacity-dev.
    [debian/libmetacity-dev.install]

 -- Josselin Mouette <joss@debian.org>  Sun, 14 May 2006 23:30:56 +0200

metacity (1:2.14.1-2) unstable; urgency=low

  * Simple rebuild to get rid of references to Xcursor.la / Xrender.la.

 -- Loic Minier <lool@dooz.org>  Tue,  2 May 2006 16:45:22 +0200

metacity (1:2.14.1-1) unstable; urgency=low

  * New upstram version.
    * Adds edge resistance. Closes: #191649.
  * patches/000_raise-on-click.patch: Fixed upstream; dropped.

 -- Dafydd Harries <daf@debian.org>  Thu, 30 Mar 2006 19:50:23 +0100

metacity (1:2.12.3-3) unstable; urgency=low

  * Also explicitely remove catalogs installed by past metacity packages.
    [debian/metacity-common.preinst]
  * Move these clenaups to postinst.
    [debian/metacity-common.preinst, debian/metacity-common.postinst]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 16:53:48 +0100

metacity (1:2.12.3-2) unstable; urgency=low

  * Clean up metacity's postinst.
    [debian/metacity.postinst]
  * Clean up /etc/sgml/metacity.cat and .old left over by metacity.
    [debian/metacity-common.preinst]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 16:35:07 +0100

metacity (1:2.12.3-1) unstable; urgency=low

  * New upstream release.
  * Update patch to support a new raise on click mode and choice of this mode
    to apply without fuzz.  Also note this patch has been rejected upstream.
    [debian/patches/000_raise-on-click.patch]
  * New metacity-common package holds arch-independent files and registers
    schemas. (Closes: #218365, #234665, #240211)
    [debian/metacity.dirs, debian/metacity-common.links,
    debian/metacity.install, debian/control, debian/control.in,
    debian/metacity-common.postinst, debian/metacity.catalog,
    debian/metacity-common.manpages, debian/metacity.postrm,
    debian/metacity-common.dirs, debian/metacity-common.install,
    debian/metacity-common.catalog, debian/changelog,
    debian/metacity-common.postrm, debian/rules, debian/metacity.links,
    debian/metacity.postinst, debian/metacity.manpages]
  * Actually ship license information.
    [debian/copyright]
  * Version the metacity and libmetacity dependency on metacity-common with
    Source-Version.
    [debian/control, debian/control.in]
  * Install SGML catalogs with dh_installcatalogs, move them below
    /usr/share/sgml/metacity-common, in the metacity-common package.
    [debian/control, debian/control, debian/metacity-common.catalog,
    debian/metacity-common.postinst, debian/metacity-common.postrm,
    debian/metacity-common.sgmlcatalogs, debian/rules]
  * Drop the /usr/share/metacity/dtd symlink.
    [debian/metacity-common.links]
  * Drop /usr/share/sgml/dtd creation.
    [debian/metacity-common.dirs]
  * Drop useless /usr/share/metacity from metacity-common.
    [debian/metacity-common.install]
  * Drop obsolete cleanup "rm -rf".
    [debian/rules]
  * Give .dtd installation to dh_install.
    [debian/metacity-common.install, debian/rules]

 -- Loic Minier <lool@dooz.org>  Sat, 11 Feb 2006 21:10:40 +0100

metacity (1:2.12.2-3) unstable; urgency=high

  * Add xorg build-deps (libice-dev, libsm-dev, libx11-dev, libxext-dev,
    libxinerama-dev, libxrandr-dev, x-dev) thanks to "xlibs-split".
    (Closes: #347000)
    [debian/control, debian/control.in]
  * Relibtoolizing would get Debian's AC_PATH_XTRA, but I add a libxt-dev
    build-dep and pass --as-needed because the patch was like uh 1.1 MB.
    [debian/control, debian/control.in, debian/rules]

 -- Loic Minier <lool@dooz.org>  Mon,  9 Jan 2006 22:47:36 +0100

metacity (1:2.12.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun,  8 Jan 2006 01:49:55 +0100

metacity (1:2.12.2-1) experimental; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 25 Dec 2005 23:20:10 +0100

metacity (1:2.12.1-1) experimental; urgency=low

  * New upstream release.
  * watch: update for 2.12.
  * 000_raise-on-click.patch: update to make patch apply cleanly.
  * rules: bump shlibs for new symbols.

 -- Josselin Mouette <joss@debian.org>  Sun,  9 Oct 2005 16:50:22 +0200

metacity (1:2.10.3-2) unstable; urgency=low

  * debian/control.in:
    - don't Build-Depends on xlibs-pic, Build-Depend on libxinerama-dev 
      (Closes: #320589).
  * debian/patches/000_metacity-debian-xinerama-pic.patch:
    - not useful with xorg.

 -- Sebastien Bacher <seb128@debian.org>  Tue,  2 Aug 2005 17:40:43 +0200

metacity (1:2.10.3-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.6.2.
  * Add CDBS' utils to rules.

 -- Loic Minier <lool@dooz.org>  Fri, 29 Jul 2005 10:56:05 +0200

metacity (1:2.10.2-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Jun 2005 23:09:14 +0200

metacity (1:2.10.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Jun 2005 19:03:18 +0200

metacity (1:2.10.1-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 13 Apr 2005 17:35:20 +0200

metacity (1:2.10.0-1) experimental; urgency=low

  * New upstream version.
  * debian/patches/000_raise-on-click.patch:
    - updated.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  8 Apr 2005 21:33:44 +0200

metacity (1:2.8.8-1) unstable; urgency=low

  * GNOME team upload.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 Dec 2004 17:18:05 +0100

metacity (1:2.8.6-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 18 Nov 2004 13:23:27 +0100

metacity (1:2.8.5-2) experimental; urgency=low

  * debian/metacity.postinst:
    - removed the static gconf registration.
  * debian/metacity-theme-viewer.1:
    - manpage written by Jose M. Moya" <josem@die.upm.es> (Closes: #252108).
  * debian/metacity-window-demo.1:
    - manpage written by Jose M. Moya" <josem@die.upm.es> (Closes: #252110).
  * debian/metacity.manpages:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 17 Sep 2004 22:11:51 +0200

metacity (1:2.8.5-1) experimental; urgency=low

  * GNOME team upload.
  * New upstream release.
  * Sebastien Bacher:
    - Switched to CDBS.
    - debian/rules: converted to CDBS
    - debian/*.files: replaced with .install files.
  * J.H.M. Dassen (Ray):
    - [debian/control.in] Bumped libstartup-notification0-dev as
      configure requires 0.7.
  * Jordi Mallach:
    - debian/control.in: add cdbs to build-deps.

 -- Jordi Mallach <jordi@debian.org>  Tue, 14 Sep 2004 20:30:36 +0200

metacity (1:2.8.1-4) unstable; urgency=low

  * debian/rules:
    - added a dh_gconf call.
  * debian/metacity.postinst:
    - removed the static schemas registration, dh_gconf handles that right.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  6 Aug 2004 18:17:03 +0200

metacity (1:2.8.1-3) unstable; urgency=low

  * GNOME Team Upload.
  * Upload in unstable.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 26 May 2004 14:28:32 +0200

metacity (1:2.8.1-2) experimental; urgency=low

  * debian/patches/000_raise-on-click.patch:
    + patch from bugzilla to choose to raise or not the window which has
      the focus in mouse and sloppy modes. (Closes: #228768).
      The gconf key to use is /apps/metacity/general/raise_on_click.
  * Gnome Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 26 May 2004 14:19:51 +0200

metacity (1:2.8.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/000_metacity-debian-xinerama-pic.patch:
    + updated
  * GNOME Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Wed,  5 May 2004 21:17:15 +0200

metacity (1:2.8.0-3) experimental; urgency=low

  * GNOME team upload.
  * debian/rules: get the epoch included in the shlib version for
    libmetacity0.

 -- Jordi Mallach <jordi@debian.org>  Tue,  6 Apr 2004 14:04:36 +0200

metacity (1:2.8.0-2) experimental; urgency=low

  * Added Build-Depends on gnome-pkg-tools and libxml-parser-perl 
    (Closes: #240639).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  3 Apr 2004 23:46:56 +0200

metacity (1:2.8.0-1) experimental; urgency=low

  * New upstream release:
    + converts "show desktop mode" to "all windows are minimized" when 
      you open a new window (Closes: #217467).    
    + fixes bug with panel not listed before clicking on them 
      (Closes: #224054).  
    + fixes multi-tab handling (Closes: #227708).  
    + includes always on top menu entry (Closes: #204212).
    + includes wireframes support (Closes: #184849).
    + should fix bug with applications changing workspace 
      (Closes: #224156, #230782).
    + switches window truncates title (Closes: #186324).
  * debian/control.in, debian/rules:
    + adapted for the Gnome Team.
  * debian/patches/000_metacity-debian-xinerama-pic.patch:
    + updated.
  * debian/patches/001_metacity-focus.patch:
    + removed since the changes are included in the new version.
  * debian/watch:
    + updated to 2.8 branch.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 28 Mar 2004 12:26:22 +0200

metacity (1:2.6.3-2) unstable; urgency=low

  * debian/patches/001_metacity-focus.patch :
    + new patch to fix focus problem with panels in mouse and sloppy modes
      (Closes: #224858).
  * Gnome Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 18 Jan 2004 19:31:49 +0100

metacity (1:2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Gnome Team Upload.
  
 -- Sebastien Bacher <seb128@debian.org>  Sat, 20 Dec 2003 23:17:21 +0100

metacity (1:2.6.2-2) unstable; urgency=low

  * debian/patches/000_metacity-debian-xinerama-pic.patch: 
    - updated to fix a link problem (Closes: #216693).    

 -- Sebastien Bacher <seb128@debian.org>  Tue, 21 Oct 2003 13:56:24 +0200

metacity (1:2.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/:
    - 000_metacity-2.4.34-usage.patch: removed.
    - 000_metacity-debian-xinerama-pic.patch: updated.
    - 001_metacity-2.4.55-non-weak-symbols.patch: removed.   
  * Update Build-Depends.
  * Gnome Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 18 Oct 2003 19:33:23 +0200

metacity (1:2.4.55-3) unstable; urgency=low

  * debian/metacity.1:
    - fixed the incorrect option. (closes: Bug#209159)
  * debian/metacity.prerm:
    - fixed removing alternatives issue. (closes: Bug#211502)

 -- Akira TAGOH <tagoh@debian.org>  Wed,  8 Oct 2003 18:44:56 +0900

metacity (1:2.4.55-2) unstable; urgency=low

  * debian/patches/000_metacity-debian-xinerama-pic.patch:
    - update to fix the unnecessary library dependencies in .la.
      (closes: Bug#195774)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 12 Jun 2003 01:25:45 +0900

metacity (1:2.4.55-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/:
    - 000_metacity-2.4.34-save-workspace.patch: removed.
    - 001_metacity-2.4.55-non-weak-symbols.patch: updated.

 -- Akira TAGOH <tagoh@debian.org>  Mon,  2 Jun 2003 02:50:50 +0900

metacity (1:2.4.34-3) unstable; urgency=low

  * debian/control:
    - suggests gnome-control-center instead of metacity-properties.
      (closes: Bug#192752)
    - bumped Standards-Version to 3.5.10.0.
  * debian/patches/001_metacity-2.4.34-non-weak-symbols.patch:
    - applied a backported patch to fix undefined non-weak symbols.
      (closes: Bug#187347)
  * debian/metacity.postinst:
    - set a priority to 60 for x-window-manager according to the latest
      policy.

 -- Akira TAGOH <tagoh@debian.org>  Mon, 19 May 2003 06:30:37 +0900

metacity (1:2.4.34-2) unstable; urgency=low

  * Revert to 2.4.34 to use stable release.
    - should works now. (closes: Bug#187749, Bug#187387, Bug#187982) 
  * debian/README.Debian:
    - described NVidia drivers issue. (closes: Bug#181056)
  * debian/patches/:
    - 000_metacity-2.4.34-usage.patch: applied it again.
    - 000_metacity-2.4.34-save-workspace.patch: applied a backported patch
      from CVS to really fix Bug#186033 in 2.4.34.
    - 000_metacity-2.5.0-noframe-window.patch: removed.

 -- Akira TAGOH <tagoh@debian.org>  Mon, 14 Apr 2003 00:29:52 +0900

metacity (2.5.0-2) unstable; urgency=low

  * debian/patches/:
    - 000_metacity-debian-xinerama-pic.patch:
      use libXinerama_pic.a instead of libXinerama.a.
    - 000_metacity-2.5.0-noframe-window.patch:
      applied a backported patch from CVS to work no frame window.
      (closes: Bug#187316)
  * debian/control:
    - requires xlibs-pic >= 4.2.1-6.

 -- Akira TAGOH <tagoh@debian.org>  Fri,  4 Apr 2003 04:26:49 +0900

metacity (2.5.0-1) unstable; urgency=low

  * New upsream release.
    - Workspace names are saved now. (closes: Bug#186033)
  * debian/control:
    - bumped Standards-Version to 3.5.9.
    - changed a section for libmetacity-dev to libdevel.
  * debian/compat:
    - use it instead of DH_COMPAT.
  * debian/patches/
    - 000_metacity-2.4.34-usage.patch: removed.

 -- Akira TAGOH <tagoh@debian.org>  Wed,  2 Apr 2003 00:16:38 +0900

metacity (2.4.34-1) unstable; urgency=low

  * New upstream release.
    - contains a fix of 64-bit bug. so should be fixed. (closes: Bug#179698)
    - should be fixed. (closes: Bug#177814)
  * debian/patches/000_metacity-2.4.34-usage.patch:
    applied to fix a typo in usage. (closes: Bug#179699)

 -- Akira TAGOH <tagoh@debian.org>  Fri,  7 Feb 2003 04:38:32 +0900

metacity (2.4.21-2) unstable; urgency=low

  * debian/control:
    - suggests metacity-properties instead of gnome-control-center.
  * debian/metacity.docs:
    - moved from libmetacity0. (closes: Bug#178966)
  * debian/metacity.postinst:
    - run gconftool-2 with HOME=/root

 -- Akira TAGOH <tagoh@debian.org>  Sun,  2 Feb 2003 16:50:02 +0900

metacity (2.4.21-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/:
    - 000_metacity-2.4.13-args.patch: removed, because it was merged to the
      upstream.
    - 000_metacity-2.4.8-properties.patch: removed.
  * debian/control: add Suggests: gnome-control-center.
  * debian/rules: drop --enable-config-dialog. metacity-properties is
    obsolete. use gnome-window-properties in gnome-control-center instead of.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 29 Jan 2003 00:39:57 +0900

metacity (2.4.13-2) unstable; urgency=low

  * debian/docs: add NEWS file (closes: Bug#176317)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 14 Jan 2003 23:15:48 +0900

metacity (2.4.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - updated Build-Depends.
    - add libgtk2.0-dev to Depends for libmetacity-dev
  * debian/rules: enable startup-notification.
  * debian/patches/:
    - 000_metacity-2.4.8-dont-pass-NULL.patch:
      removed.
    - 000_metacity-2.4.13-args.patch:
      applied to fix the working of configure options.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 11 Jan 2003 07:06:24 +0900

metacity (2.4.8-4) unstable; urgency=low

  * upstream bug was closed. so it should be fixed. (closes: Bug#152075)
  * debian/rules: don't use dh_installwm until it will supports the
    registration of manpage as slave.
  * debian/metacity.postinst: runs update-alternatives. (closes: Bug#175756)
  * debian/metacity.prerm: runs update-alternatives.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  9 Jan 2003 03:40:15 +0900

metacity (2.4.8-3) unstable; urgency=low

  * debian/metacity.postinst:
    fix the wrong registration. (closes: Bug#173789, Bug#174358)

 -- Akira TAGOH <tagoh@debian.org>  Fri, 27 Dec 2002 05:01:25 +0900

metacity (2.4.8-2) unstable; urgency=low

  * debian/patches/000_metacity-2.4.8-dont-pass-NULL.patch:
    applied to fix the segfault at startup. (closes: Bug#173594, Bug#173604)

 -- Akira TAGOH <tagoh@debian.org>  Fri, 20 Dec 2002 01:08:43 +0900

metacity (2.4.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/000_metacity-2.4.3-stack.patch:
    removed, because this release contains it.
  * debian/control:
    - fix description-synopsis-ends-with-full-stop.
    - add libmetacity0 and libmetacity-dev
  * debian/rules:
    - install metacity-theme.dtd as a sgml catalog. (closes: Bug#170041)
    - build with --enable-config-dialog until we upload GNOME 2.2.
  * debian/metacity.postinst:
    - use gconftool-2 --get-default-source to get GCONF_CONFIG_SOURCE
    - runs update-catalog.
  * debian/patches/000_metacity-2.4.8-properties.patch:
    applied to fix the missing file.

 -- Akira TAGOH <tagoh@debian.org>  Thu, 12 Dec 2002 09:21:35 +0900

metacity (2.4.3-2) unstable; urgency=low

  * debian/patches/000_metacity-2.4.3-stack.patch: backported to fix the
    random crashes. (closes: Bug#168653)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 13 Nov 2002 00:32:14 +0900

metacity (2.4.3-1) unstable; urgency=low

  * New upstream release. (closes: Bug#166919)
  * debian/rules: support noopt option for DEB_BUILD_OPTIONS.
  * debian/control: improve a description. Thanks stephen farrell.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  7 Nov 2002 23:16:47 +0900

metacity (2.4.1-1) unstable; urgency=low

  * New upstream release. (closes: Bug#160535)
    - Should be fixed. (closes: Bug#157995)
  * Set a priority to 40 for x-window-manager according to Bug#155680.
    (closes: Bug#155494)
  * debian/metacity.1: updated.
  * debian/metacity-message.1: added.
  * debian/control:
    - bumped Standards-Version to 3.5.7.
    - updated Build-Depends.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 14 Sep 2002 20:01:35 +0900

metacity (2.4.0-1) unstable; urgency=low

  * New upstream release.
    - switching the workspaces should works now. (closes: Bug#151500)
  * debian/control: update Build-Depends for libgtk2.0-dev.

 -- Akira TAGOH <tagoh@debian.org>  Fri,  9 Aug 2002 02:35:15 +0900

metacity (2.3.987-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add libglade2-dev to Build-Depends (closes: Bug#149489)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 11 Jun 2002 14:38:06 +0900

metacity (2.3.610-1) unstable; urgency=low

  * New upstream release.
    - Should be fixed in this release. (closes: Bug#146127)

 -- Akira TAGOH <tagoh@debian.org>  Wed,  5 Jun 2002 19:15:41 +0900

metacity (2.3.377-2) unstable; urgency=low

  * debian/docs: includes theme-format.txt (closes: Bug#147644)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 21 May 2002 19:24:00 +0900

metacity (2.3.377-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 21 May 2002 11:02:28 +0900

metacity (2.3.233-2) unstable; urgency=low

  * debian/control: fix the misleading description. (closes: Bug#145942)

 -- Akira TAGOH <tagoh@debian.org>  Tue,  7 May 2002 14:29:36 +0900

metacity (2.3.233-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sun,  5 May 2002 03:21:05 +0900

metacity (2.3.144-2) unstable; urgency=low

  * debian/control: Add Provides: x-window-manager.

 -- Akira TAGOH <tagoh@debian.org>  Fri,  3 May 2002 07:31:17 +0900

metacity (2.3.144-1) unstable; urgency=low

  * New upstream release.
    - keybindings are configurable now. (closes: Bug#144657)

 -- Akira TAGOH <tagoh@debian.org>  Tue, 30 Apr 2002 03:32:36 +0900

metacity (2.3.89-1) unstable; urgency=low

  * New upstream release.
  * debian/scripts/vars.build: fix bashism.
  * debian/rules: add GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=yes to install
    rule.
  * debian/metacity.manpages: remove metacity-restart.1 entry. this command
    no longer exists.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 16 Apr 2002 21:35:19 +0900

metacity (2.3.55-1) unstable; urgency=low

  * I have taken over from Thom.
  * New upstream release.
  * Build against the latest libraries (closes: Bug#139215)
  * debian/rules:
    - support DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE.
    - support debug and nostrip options for DEB_BUILD_OPTIONS.
    - copying the latest config.sub and config.guess.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 26 Mar 2002 02:18:26 +0900

metacity (2.3.34-2) unstable; urgency=low

  * Added build-depend on docbook-to-man (Closes: #134433) 

 -- Thom May <thom@debian.org>  Sun, 17 Feb 2002 20:14:28 +0000

metacity (2.3.34-1) unstable; urgency=low

  * Initial Release. (Closes: #107181)

 -- Thom May <thom@debian.org>  Sun, 10 Feb 2002 12:03:22 +0000

